<h1 class='text-center'>New message</h1>

<div class="row">
  <div class="col-md-6 offset-3">
    <%= form_with(model: @message, local: true) do |f| %>
      <% if @message.errors.any? %>
        <div id="error_explanation">
          <div class="alert alert-danger">
            The form contains <%= pluralize(@message.errors.count, "error") %>.
          </div>
          <ul>
          <% @message.errors.full_messages.each do |msg| %>
            <li class='text-danger'><%= msg %></li>
          <% end %>
          </ul>
        </div>
      <% end %>
      
      <%= f.label :title %>
      <%= f.text_field :title, class: 'form-control' %>

      <%= f.label :body %>
      <%= f.text_area :body, size: "70x10", class: 'form-control' %>

      <%= f.submit "Create", class: " mt-2 btn btn-primary" %>
    <% end %>
  </div>
</div>